Subject: Re: Notification: incoming/753

From: Dominik Vogt <[email-masked]>
Date: Tue, 7 Aug 2001 13:26:11 +0200

On Mon, Aug 06, 2001 at 06:57:18PM -0700, Pete Gelbman wrote:
> 
> >>>>> On Sun, 5 Aug 2001, Dominik Vogt wrote:
> 
>   Dominik> On Fri, Aug 03, 2001 at 05:19:06PM -0500, fvwm-bug wrote:
> 
>   +> FVWM Bug Tracking notification
> 
>   +> new message incoming/753
> 
>   +> Message summary for PR#753 From: [email-masked] Subject: SloppyFocus
>   +> sometimes won't refocus properly Date: Fri, 03 Aug 2001 17:19:05 -0500 0
>   +> replies 0 followups
> 
>   +> Full_Name: Pete Gelbman Version: 2.4.0 CVS_Date:  OS: Solaris 2.6
>   +> X_Server: ? Submission from: (NULL) (199.74.167.132)
> 
>   +> I've used SloppyFocus as my default window focus for a long time. Since
>   +> our sys-admin upgrading to 2.4 recently (and after migrating my .fvwm2rc
>   +> of course) I notice that after changing desktops, when moving my mouse
>   +> quickly back into the window that last had the focus before I switched
>   +> desktops, focus does not aquire properly. I have to move my mouse out of
>   +> the window and back in again so make it work. I'm now using MouseFocus as
>   +> my default window focus style and it work fine that way.
> 
>   Dominik> Could you try to give me detailed instructions on how to reproduce
>   Dominik> this?  The problem seems to be timing related and I don't know
>   Dominik> exactly what I have to do (please include your config file and also
>   Dominik> describe where the used windows are).
> 
> Hi Dominic,
> 
> Thanks for the response. Two things:
> 
> - First I need to amend my initial report - I thought problem went away when
> changing to MouseFocus instead of SloppyFocus but actually it remained the
> same. 
> 
> - 2nd, I think I found the problem - when upgrading my .fvwm2rc to new 2.4 
> format, I also decided to change my "ClickTime" from my old setting of 350 to 
> 150 for some reason.  I guess I saw a 150ms in one of the samples and thought 
> "quicker must be better". Anyhow I diffed my old config and new config today 
> and noticed this. I changed my ClickTime back to my old setting of 350 and the 
> problem went away. So, it was my own config issue, but I think the quicker 
> time may definitely be triggering a timing problem, as you mentioned. 
> Especially since the value causing me trouble is the default...? Or maybe this 
> whole thing is still caused by some weirdness in my config file that I can't 
> see...If so sorry, about the hassle...
> 
> Anyway, attached is my .fvwm2rc file. In this version, I've left ClickTime set 
> to 150 so you can just source and hopefully see the issue. Here are some more 
> details to try to reproduce the problem:
> 
> - I'm working with several windows open on on desktop 0 0. 
> 
> - Now I want to change to desktop 1 0. So I click my mouse on desktop 1 0 in 
> my pager. I go there, do some work in a few diff windows - everything is fine.
> 
> - Now I want to go back to my original destop  0 0. So I click my mouse on 
> desktop 0 0 to back. I go there but when I position my mouse over a window the 
> windows doesn't get focused. The only way to get it focused is to move my 
> mouse out of the windows and back in.
> 
> Note: this doesn't happen all the time. I assumed this was due to feature 
> changes or some issue with my new .fvwm2rc, but I poked around for a long time 
> and can't see any problems...

I don't think it's the ClickTime setting.  You have

  #*FvwmPager: SloppyFocus

in your config file.  A similar problem occurs when this is used
with MouseFocus or SloppyFocus.  Is that perhaps something you
changed along with the ClickTime?

Let's assume you click in a new page in the pager.  While fvwm is
mapping and unmapping windows, move the pointer out of the pager
to a place where a window will be mapped later.  Everything works
fine yet.  But if you move the pointer over one of the mini
windows in the pager, the pager tries to focus it while fvwm is
still changing pages.  In the end, you get a random result,
depending on the exact timing.

Bye

Dominik ^_^  ^_^

-- 
Dominik Vogt, email: [email-masked]
LifeBits Aktiengesellschaft, Albrechtstr. 9, D-72072 Tuebingen
fon: ++49 (0) 7071/7965-0, fax: ++49 (0) 7071/7965-20
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Pete Gelbman <[email-masked]>
Date: Mon, 06 Aug 2001 18:57:18 -0700

Hi Dominic,

~~Pete